package com.fs.crm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.crm.domain.CrmCustomerPropertyTemplate;

import java.util.List;

public interface ICrmCustomerPropertyTemplateService extends IService<CrmCustomerPropertyTemplate> {

    CrmCustomerPropertyTemplate selectCrmCustomerPropertyTemplateById(Long id);

    List<CrmCustomerPropertyTemplate> selectCrmCustomerPropertyTemplateList(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int insertCrmCustomerPropertyTemplate(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int updateCrmCustomerPropertyTemplate(CrmCustomerPropertyTemplate crmCustomerPropertyTemplate);

    int deleteCrmCustomerPropertyTemplateByIds(Long[] ids);

    int deleteCrmCustomerPropertyTemplateById(Long id);
}
